Questions about OpenGL, a library for rendering 2D and 3D graphics

learn more… | top users | synonyms

1
vote
0answers
26 views

freeglut OpenGL GLX extension not supported by display ':0'

I am trying to run an application with OpenGL and the following message apears: freeglut OpenGL GLX extension not supported by display ':0' I already read lots of topics here and in stackexchange ...
0
votes
0answers
12 views

pyopengl wont start

I installed pyopengl and the libraries are found, but it'ss not working with glutinit() . i know this i a GLUT problem but I'm not sure where linux keeps thier GL files (previously windows user). ...
-1
votes
0answers
45 views

PlayOnLinux 32 bit OpenGl missing ubuntu 14.04 64 bit

system info: cpu: AMD FX(tm)-8350 Eight-Core Processor × 8 ram: 8 gig of 1866 ram duel channel set up gpu: GeForce GTX 970/PCIe/SSE2 Os: ubuntu 14.04 lts 64 bit Everytime i open PlayOnLinux i get a ...
0
votes
0answers
15 views

Bumblebee: compiling program using OpenGL 4.0, supported by dedicated but not integrated GPU

I'm trying to compile an OpenGL 4.0 program on my computer. My dedicated GPU supports OpenGL 4.4, but my integrated GPU only has support for 3.0. Normally I can run post-3.0 OpenGL programs using ...
0
votes
0answers
43 views

ubuntu 14.04 OpenGL not working ERROR: couldn't find RGB GLX visual or fbconfig

Hi i have an Hp Datavualt x510 running ubuntu server 14.04. I have a minimul desktop gui installed and am trying to view Kodo/Xbmc but get the dreaded "Kodo needs accelerated OpenGL rendering install ...
-1
votes
0answers
30 views

Error while installing freeglut3-dev (openGL graphics) [duplicate]

I am getting the following error when I hit sudo get-apt install freeglut3-dev in terminal. Can someone help me please? Reading package lists... Done Building dependency tree Reading state ...
0
votes
1answer
483 views

Struggling to get Kodi running on Ubuntu Server 14.04.2

I've just finished building a new machine and installed Ubuntu Server 14.04.2 LTS (typical install from USB flash drive). I'm currently having issues trying to get Kodi up and running (I suspect) ...
0
votes
0answers
43 views

opengl BadAlloc error 153 after installing Steam (12.04)

Everything was fine before installing dclock and steam - I know! Only one at a time next time and every time. During Steam install my graphics display was already off with gui elements displaying ...
0
votes
0answers
67 views

Ubuntu stuck after login, supposedly due to OpenGL issues

I've upgraded from Ubuntu 11.10 to 14.04 about half a year ago, and so during my usage the system boot experience has been getting worse and worse: there were no problems with the initial startup, but ...
1
vote
0answers
57 views

Can't get OpenGL to work, Games crash on launch, AMD Radeon 6670, Issues with driver?

So, I got Ubuntu yesterday, and enthusiastically started to install all my linux supported steam games. Only about two of them worked, and the rest crashed instantly back to steam without error ...
1
vote
1answer
80 views

Compiz crash in virtualbox

I had fully working 64bit Ubuntu 14.04 under VirtualBox 4.3.20. I then updated ubuntu and virtualbox and now I can login but the Unity will not display because compiz crashes with segmentation fault - ...
0
votes
0answers
84 views

AMD Radeon HD 7310 driver support

So I recently updated from Trusty Tahr to Utopic, 14.04 to 14.10, and something went wrong. Whenever I try to launch Portal 2, a game from steam, a window pops up saying "OpenGL GLX context is not ...
1
vote
1answer
103 views

Minecraft and java troubles

I like to play Minecraft. But recently I can only be able to open Minecraft versions that is lower than 1.7.2. When I launch 1.7.2 the Minecraft didn't show that I have to upgrade the card. My OpenGL ...
2
votes
0answers
69 views

Update OpenGL to 2.0

I want to play a number of games that I have installed on my Ubuntu Install, however in order to do that my OpenGL is outdated, usually requiring version 2.0 as a minimal. I want to install 2.0, but ...
0
votes
1answer
97 views

Can't install mesa-common-dev

I can't install this package, it gives me an error, this is the output from terminal: ➜ ~ sudo apt-get install mesa-common-dev Reading package lists... Done Building dependency tree ...
0
votes
0answers
42 views

Installing VTK on Ubuntu 12.04 LTS and problem with dependencies

I am trying to install VTK5.10.1 on Ubuntu 12.04 LTS. However, I am quite new to linux and it is giving me several problems. To install VTK, I am following this tutorial: ...
3
votes
0answers
738 views

My NVidia GTX 960 card creates openGL problems with Unity on Ubuntu

I posted a bug about this on launchpad already, but was hoping maybe someone on here would have some suggestions about other things I could try. Background: I had a working Ubuntu 14.10 system with ...
0
votes
0answers
25 views

Open GL 4.0 not working

I recently purchase an OpenGL4.0 game, and it is not loading with the error message of Open GL 4.0 or higher not found I am assuming this is an issue with my drivers, however when I look to ...
0
votes
0answers
59 views

Installing LibGlui on Ubuntu 14.04 LTS

I am having trouble installing libglui on my computer running ubuntu 14.04 LTS. I initially tried using a package manager as specified in this askubuntu thread, but had no such luck (the links ...
-1
votes
1answer
65 views

Forge intsllation on xubuntu fail

Hello dear linux users I have a problem to install forge modloader in minecraft I used the last recommend version for 1.7.2 and I only get some errors: <code> ---- Minecraft Crash Report ---- ...
0
votes
1answer
312 views

qt can't find GL/gl.h but libGL.so exists

I am running 64 bit Ubuntu 14.04. The compile error I am getting is: In file included from ../../../Qt/5.4/gcc_64/include/QtOpenGL/qgl.h:39:0, from ...
0
votes
0answers
122 views

Viber through Wine, crash on calling with unexpected error

12.04 Precise 32 bit system, currently have Viber running under Wine due to system architecture. Gotten it to install and messaging works as a charm although upon firing a call it quits with an ...
0
votes
0answers
46 views

Metro 2033 and Last Light (Redux editions) not loading

I purchased Metro Last Light and 2033 earlier today, and was hoping to play them, however whenever I try they tell me I need Open GL 4.0 or higher. I believe I have the latest drivers, and I could ...
0
votes
1answer
134 views

Radeon hybrid ATI Radeon card and fglrx problem - update OpenGL to 4.3

I have Lenovo G500H with Radeon HD8570M (and Intel) graphic card and my goal was to get OpenGL 4.+ version to be able to use double precision variables in shading language. Long story short, after ...
0
votes
1answer
92 views

Have problem while installing openGL ( using mesa-common-dev)

It says : The following packages have unmet dependencies: mesa-common-dev : Depends: libx11-dev but it is not going to be installed Depends: libdrm-dev (>= 2.4.52) but it is not ...
1
vote
0answers
278 views

Broken OpenGL: Wrong GLX renderer in glxinfo and inxi (Nvidia instead of Intel)

I have spent all day trying to resolve this issue, I hope someone in this friendly forum can help: I am running the following setup: Distribution: Ubuntu 14.04.01 Kernel: 3.13.0-43-generic ...
0
votes
1answer
133 views

can't build OpenGL software on 14.10 with fglrx-updates: “/usr/bin/ld: cannot find -lGL”

I'm running Ubuntu GNOME 14.10 on a new laptop with an "AMD A6-6310 APU with AMD Radeon R4 Graphics" type CPU/GPU. Due to freezing issues with Gallium3D, I installed fglrx-updates. Now because I like ...
0
votes
1answer
56 views

Key-repeat does not work after running OpenGL program with nvidia-331-updates on Ubuntu 14.10x64

earlier today I switched to the proprietary NVidia drivers to be able to develop some programs with OpenGL4.2+. Since then I have noticed various changes to the system, e.g. the mousewheel is much ...
0
votes
0answers
42 views

Video acceleration in Ubuntu Touch media player

I'm running Ubuntu Touch on a Nexus 7 2013 tablet, which has an Adreno 320 GPU. In Android for that platform, the media player uses the OpenMAX API to get hardware acceleration for videos. I notice ...
0
votes
0answers
123 views

Issues with OpenGL drivers on Ubuntu 14.10

I have a Xubuntu machine that was using the AMD/ATI drivers, but after a distro upgrade, things were not working unless I was using the integrated graphics (i.e. I would have to unplug my GPU card). ...
-1
votes
1answer
182 views

How can I make Ubuntu my main OS on a Chromebook?

I was recently gifted a Samsung Chromebook. I want to completely delete Chrome OS and make Ubuntu 14.04.1 my main operating system. When I upgraded 12.04 to 14.04.1 from a standard download, as usual ...
0
votes
0answers
212 views

Metro 2033 Redux Steam Open Gl 4.0 popup

SO I just bought Metro 2033 redux and when I click play it gives me 2 options. 1. Play Metro 2033 Redux 2. Launch I click on option 1 and then a popup says "OpenGL 4.0 or later has not been found. ...
0
votes
1answer
413 views

Optimus nvidia GeForce GT 750m opengl 3 and 4

I do not know where to start. This has been frustrating. Today, december 2014, I own an Alienware 14, it uses an NVIDIA GK107M [GeForce GT 750M] and an Intel Corporation 4th Gen Core Processor ...
0
votes
0answers
62 views

Warcraft 3: The Frozen Throne Opengl?

Looking for a way to get this done I have run a few different types of commands in my terminal and it seems that the terminal cannot locate the program or something: joey@joey-Aspire-E1-522:~$ env ...
0
votes
1answer
46 views

opengl in compiz config

I was trying to sleek up Ubuntu 14.04 by disabling opengl in compiz config manager, now I only have a background! I went into tty to reset it by typing dconf reset -f /org/compiz/ And I get this ...
0
votes
1answer
1k views

Ubuntu 14.10 upgrade and reinstall, Steam OpenGL problems?

I'm having some serious issues after updating to Ubuntu 14.10. Back in 14.04, I got constant error messages, and after updating, they seemed to go away for the most part, but then the came roaring ...
0
votes
1answer
105 views

Could not find required OpenGL entry point 'glGetError' ethier your video card is unsuported or you need to update open GL.

Could not find required OpenGL entry point 'glGetError' ethier your video card is unsuported or you need to update open GL. this pops up when i try to open tf2 through steam. I am not using a video ...
1
vote
0answers
251 views

OpenGL does not work properly on Ubuntu 14.04 with Mesa 10.1.3

I upgraded from Ubuntu 12 to 14.04 and I'm now experiencing problems with some software that uses OpenGL. Instead of rendering images it renders just black screen. I know that libglew and GLX ...
0
votes
1answer
670 views

Dota 2 crashes after hitting play game. Sometimes on load screen and sometimes after hero selection

I performed every "help" given in the forums. I had previously upgraded to 14.10 which was when these problems started. I re-installed back to 14.04 but no luck with the steam or dota 2. ...
0
votes
1answer
101 views

Compiz black background problem

After a reboot suddenly Compiz stopped showing the background and when I drag windows along it I get the following effect: (note at the left that the files on the desktop stand on the foreground) ...
1
vote
0answers
608 views

higan says that OpenGL 3.2 is not available, but I should have 3.3

I am running Trusty with gnome in crouton on a Toshiba Chromebook 2. I installed higan, and it reports: "Error: OpenGL 3.2 is not available." I googled this, and apparently the problem may be related ...
0
votes
0answers
77 views

What is are the brands of laptops that support openGL 4.0 and above

I have had bad experience in getting optimus to work well with ubuntu / getting intel drivers to play well with openGL > 3.0 and issues with stutter/lag etc. I am looking for a laptop that has ...
0
votes
0answers
9 views

Job of Gallium3D on Linux

Question 0: when a Linux OS is up and running with a hardware graphics accelerator supprt (VGA Card Support), what is the job of software like Gallium3D required to do? Does it pre process the ...
0
votes
0answers
230 views

Intel HD graphics driver + Mesa 3D vs. NVIDIA proprietary driver + the latest OpenGL

I have an Ubuntu 14.04 workstation with an Intel Core i7 4790 with 8MB cache, Intel 4600 HD graphics, two Nvidia GTX 760 GPUs 4GB RAM 1152 CUDA processing cores. I have problems with installing ...
0
votes
0answers
95 views

I cannot run Team Fortress 2 because of a problem with my video card

I really want to play Team Fortress 2, but every time I try to launch it it says, Could not find required OpenGL entry point 'glcoloredmaskindexEXT'! either youre video card is not supported or ...
0
votes
0answers
132 views

glxinfo reports wrong Mesa version

So I'm trying to get Mesa 10 installed on my Ubuntu 13.10 system so I can get access to OpenGL 3.3. However, even after installing Mesa 10.1.3, glxinfo still reports that it's Mesa 9.2.1. And I just ...
0
votes
0answers
634 views

Ubuntu 14.10 OpenGL slow/errors

I just updated to Ubuntu 14.10 and I'm having some trouble with OpenGL. After fixing some errors of steam not recognising Direct Rendering, I tried to open a game, but when I run it on the terminal I ...
0
votes
1answer
53 views

Why won't Steam work on my Dell INSPIRON E1705?

this is my first post, so I hope i'm doing it right; I recently got a used laptop from a friend of mine, it came with windows XP on it, oh the horror; I upgraded the OS to Ubuntu 14.04 LTS; and ...
2
votes
1answer
1k views

Ubuntu 14.04 “could not find required OpenGL entry point 'glGetError'!"

I am trying to play Dota2 and FT2 on my pc when I got this error: "Could not find OpenGL entry point 'GLGetError'! Either your video card is unsupported or it needs to be updated." I have ...
-1
votes
1answer
315 views

How can I run Safari on playonlinux on Ubuntu 12.04? Direct3D9 is not available without OpenGL

I have recently encounter a Problem when i run Safari web browser on Playonlinux in my Ubuntu 64 bit machine using command line,Safari runs but after 4-5 seconds some times more , i have got the ...